Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0013989
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2010-07-16 18:542010-08-12 00:00
ReporteriperdomoView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionacbf6d8e8822
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_15
OS Version2.6.30-gentoo-r5Database version8.3.8Ant version1.7.1
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0013989: The generated HTML code of the refresh button is different when using the new layout

DescriptionWhen using the new layout, the 'classic' refresh button is hidden, and a new refresh button is added to the toolbar. The generated HTML from the classic and new button is different.

In the classic layout the id="buttonRefresh" is assigned to a <A> tag that contains a <IMG> inside. Note: the the link <A> has the javascript onclick handler.

When using the new layout the generated id is in the opposite order, the id="buttonRefresh" is assigned to the <IMG> tag, and the <A> still contains the javascript handler onclick, and this makes the code that this code fails:
getElementById("buttonRefresh").onclick();

Steps To Reproduce* Using the new layout, try to execute in a generated window the following code:

typeof getElementById("buttonRefresh").onclick()

It should return "function"

eg. in classic layout:
>>> typeof appFrame.document.getElementById("buttonRefresh").onclick
"function"


Proposed SolutionAttached you'll find a "partial" solution. Needs to be rechecked and discussed.
TagsNo tags attached.
Attached Filesdiff file icon Toolbar.diff [^] (1,819 bytes) 2010-07-16 18:54 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0013988 closedgorkaion Transaction.java servlet in this module calls ToolBar.java with wrong parameter... 
related to feature request 0013891 closeddbaz ToolBar and LeftTabsBar classes need to be changed for New Layout 
related to defect 0014010 closediperdomo Switching from edit to grid view using keyboard shortcut does not work 

-  Notes
(0029662)
hgbot (developer)
2010-07-29 10:50

Repository: erp/devel/pi
Changeset: acbf6d8e882270a802380082359732da68987e29
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Jul 29 10:50:08 2010 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/acbf6d8e882270a802380082359732da68987e29 [^]

fixed bug 13989: refresh button is different when using the new layout

  Make an special case when generating toolbar for refresh button id, in order
  to use the same id as it was used in the 2.50 layout.

---
M src/org/openbravo/erpCommon/utility/ToolBar_Button.java
M src/org/openbravo/erpCommon/utility/ToolBar_Image.java
---
(0029686)
hudsonbot (developer)
2010-07-29 22:17

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/acbf6d8e8822 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/5b23128e2fc6 [^]
Tests: http://builds.openbravo.com/view/int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.17934.obx [^]
(0029883)
iperdomo (developer)
2010-08-11 10:47

Tested on pi @ rev a45ffdf7b265

- Issue History
Date Modified Username Field Change
2010-07-16 18:54 iperdomo New Issue
2010-07-16 18:54 iperdomo Assigned To => alostale
2010-07-16 18:54 iperdomo File Added: Toolbar.diff
2010-07-16 18:55 shuehner Relationship added related to 0013988
2010-07-16 18:55 iperdomo Relationship added related to 0013891
2010-07-19 08:25 alostale Status new => scheduled
2010-07-29 10:50 hgbot Checkin
2010-07-29 10:50 hgbot Note Added: 0029662
2010-07-29 10:50 hgbot Status scheduled => resolved
2010-07-29 10:50 hgbot Resolution open => fixed
2010-07-29 10:50 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/acbf6d8e882270a802380082359732da68987e29 [^]
2010-07-29 22:17 hudsonbot Checkin
2010-07-29 22:17 hudsonbot Note Added: 0029686
2010-08-11 10:47 iperdomo Note Added: 0029883
2010-08-11 10:47 iperdomo Status resolved => closed
2010-08-11 15:49 iperdomo Relationship added related to 0014010
2010-08-12 00:00 anonymous sf_bug_id 0 => 3043343


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker